package com.ruoyi.ibs.tabs.domain.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 指标层级关系对象 cust_tab_list_info
 * 
 * @author ruoyi
 * @date 2024-12-30
 */
public class CustTabListInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 父级标签：顶级id-1 */
    @Excel(name = "父级标签：顶级id-1")
    private Long parentId;

    public String getTabNameBy() {
        return tabNameBy;
    }

    public void setTabNameBy(String tabNameBy) {
        this.tabNameBy = tabNameBy;
    }

    private String tabNameBy;

    /** 标签名 */
    @Excel(name = "标签名")
    private String tabName;

    /** 标签类型，0个人1商户2企业 */
    @Excel(name = "标签类型，0个人1商户2企业")
    private String tabType;

    /** 归属3位机构号 */
    @Excel(name = "归属3位机构号")
    private String belongOrg3;

    /** 是否标签枚举值：1是 0否 */
    @Excel(name = "是否标签枚举值：1是 0否")
    private String tabEnum;


    @Excel(name = "标签类型，0个人1商户2企业")
    private String custType;

    public String getTabThresholdType() {
        return tabThresholdType;
    }

    public void setTabThresholdType(String tabThresholdType) {
        this.tabThresholdType = tabThresholdType;
    }

    @ApiModelProperty(value = "標簽類型  1統計 3枚舉")
    private String   tabThresholdType;


    @Excel(name = "加工类型： 1手动 2周期")
    private String computType;


    @Excel(name = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;


    @Excel(name = "权限类型：1自己，2制定， 3所有人")
    private String authType;

    @Excel(name = "修改人")
    private String updateName;

    private String isStart;


    public String getPotSql() {
        return potSql;
    }

    public void setPotSql(String potSql) {
        this.potSql = potSql;
    }

    private String potSql;


    public String getTreeList() {
        return treeList;
    }

    public void setTreeList(String treeList) {
        this.treeList = treeList;
    }

    private String treeList;

    public String getLoginId() {
        return loginId;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    private String loginId;

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getTabId() {
        return tabId;
    }

    public void setTabId(String tabId) {
        this.tabId = tabId;
    }

    private String tabId;

    public String getPotRelation() {
        return potRelation;
    }

    public void setPotRelation(String potRelation) {
        this.potRelation = potRelation;
    }

    private String potRelation;



    public Long getCreateDept() {
        return createDept;
    }

    public void setCreateDept(Long createDept) {
        this.createDept = createDept;
    }

    @Excel(name = "创建机构")
    private Long createDept;


    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getComputType() {
        return computType;
    }

    public void setComputType(String computType) {
        this.computType = computType;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getAuthUser() {
        return authUser;
    }

    public void setAuthUser(String authUser) {
        this.authUser = authUser;
    }

    @Excel(name = "可见柜员号")
    private String authUser;



    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setTabName(String tabName) 
    {
        this.tabName = tabName;
    }

    public String getTabName() 
    {
        return tabName;
    }
    public void setTabType(String tabType) 
    {
        this.tabType = tabType;
    }

    public String getTabType() 
    {
        return tabType;
    }
    public void setBelongOrg3(String belongOrg3) 
    {
        this.belongOrg3 = belongOrg3;
    }

    public String getBelongOrg3() 
    {
        return belongOrg3;
    }
    public void setTabEnum(String tabEnum) 
    {
        this.tabEnum = tabEnum;
    }

    public String getTabEnum() 
    {
        return tabEnum;
    }

    public String getIsStart() {
        return isStart;
    }

    public void setIsStart(String isStart) {
        this.isStart = isStart;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("tabName", getTabName())
            .append("tabType", getTabType())
            .append("belongOrg3", getBelongOrg3())
            .append("tabEnum", getTabEnum())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("remark", getRemark())
            .toString();
    }


}
